1.0

1.0

get /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Private NAT IP 목록

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
Private NAT IP 주소
Example :
any of [string, null]None
querystate
optional
Private NAT IP 상태
Example :
any of [enum (RESERVED, ATTACHED, DELETED), null]None
queryattached_resource_type
optional
Private NAT IP 연결된 자원 타입
Example :
any of [enum (VM, BM), null]None
queryattached_resource_id
optional
Private NAT IP 연결된 자원 ID
Example :
any of [string, null]None
queryattached_resource_name
optional
Private NAT IP 연결된 자원명
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKPrivateNatIpListResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "private_nat_ips": [
        {
            "attached_resource_id": "",
            "attached_resource_name": "",
            "attached_resource_type": "VM",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "",
            "ip_address": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "private_nat_id": "",
            "state": "RESERVED"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}